<?php
  session_start();
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  require_once($ruta.'recursos/pdf/tcpdf/tcpdf.php');
  include($ruta."recursos/qr/qrlib.php");
/******************    SEGURIDAD *************/
extract($_GET);
//********* SEGURIDAD GET *************/
$valor=dcUrl($lblcode);
$gcred=$grupocredito->muestra($valor);
$dgr=$grupo->muestra($gcred['idgrupo']);

$rutaImg=$ruta."imagenes/logo.png";
$demp=$miempresa->muestra(1);
$dus=$usuario->muestra($gcred["usuariocreacion"]);
$tba=$tipobanca->muestra($gcred['idtipobanca']);
$eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
$ddom=$dominio->muestra($gcred['frecuenciapago']);


// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
//$pdf->SetPrintHeader(false);
$pdf->setHeaderData('',0,'','',array(0,0,0), array(255,255,255) );  
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('JHULIOS');
$pdf->SetTitle('DESEMBOLSO DE CRÉDITO');
$pdf->SetSubject('DESEMBOLSO DE CRÉDITO');
$pdf->SetKeywords('DESEMBOLSO DE CRÉDITO');


// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/es.php')) {
    require_once(dirname(__FILE__).'/lang/es.php');
    $pdf->setLanguageArray($l);
}
// ---------------------------------------------------------
// set default font subsetting mode
$pdf->setFontSubsetting(true);

// Set font
// dejavusans is a UTF-8 Unicode font, if you only need to
// print standard ASCII chars, you can use core fonts like
// helvetica or times to reduce file size.
//$pdf->SetFont('dejavusans', '', 14, '', true);
$pdf->SetFont('helvetica', '', 8);
$pdf->AddPage('','A4');
// Add a page
// This method has several options, check the source code documentation for more information.
setlocale(LC_ALL, 'es_ES').': ';
// Set some content to print
$html=' 
<style>
.tituloFactura{
  font-size:12px;
  font-weight: bold;
}
.tituloCenda{
  color:red;
}
.letras{
  font-size:7px;
}
.letras2{
  font-size:18px;
}
</style>
<table width="100%"  align="center">
          <tr>
            <td class="letras">
              <center>
                <img width="150px;" src="'.$rutaImg.'" ><br>
                <b>'.$demp['nombre'].'</b><br>
                ';
                $html=$html.'
                <b>Dirección:</b>'.$demp['direccion'].'<br>
                <b>Telfs.:</b>'.$demp['telefono'].'<br>
                LA PAZ - BOLIVIA
              </center>
            </td>
            <td><br>
            <div class="tituloFactura">DESEMBOLSO DE CRÉDITO</div>
            </td>
            <td><br>
            <table border="1">
              <tr>
                <td>
                  <table class="letras" cellpadding="2">
                    <tr>
                      <td align="right">
                        FECHA:
                      </td>
                      <td align="left">
                        <b>'.$gcred['fechacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        HORA:
                      </td>
                      <td align="left">
                        <b>'.$gcred['horacreacion'].'</b>
                      </td>
                    </tr>
                    <tr>
                      <td align="right">
                        EJECUTIVO:
                      </td>
                      <td align="left">
                        <b>'.$dus['usuario'].'</b>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>                     
            </td>
          </tr>
        </table';
        $pdf->SetFont('helvetica', '', 9);
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
$html='
<style>
  .tituloCenda{
    text-align:center;
    font-weight: bold;
    font-size:10px;
  }
  .sMoneda{
    text-align: right;
  }
  .scenter{
    text-align: center;
  }
  .sfila{
    border: solid 1px #303030;
  }
  .letras{
    font-size:6px;
    text-align: center;
  }
  .letras4{
    font-size:8px;
  }
  .cabeceraCentro{
    padding: 1px;
    border-top: solid 1px #ddd;
    border-bottom: solid 1px #ddd;
    text-align:center;
  }
  .textocentro{
    text-align:center;
  }
  .cabecera2{
    border: solid 1px #303030;
    font-weight: bold;
  }
</style>
  <table class="cabecera3" width="530">
    <tr>
      <td><b>GRUPO: </b>'.$dgr['nombre'].'</td>
      <td><b>CICLO: </b>'.$dgr['idciclo'].'</td>
    </tr>
    <tr>
      <td><b>CODIGO: </b>'.$gcred['idgrupocredito'].'</td>
      <td><b>FECHA DESEMBOLSO: </b> '.$gcred['fechadesembolso'].'</td>
    </tr>
    <tr>
      <td><b>ZONA: </b>'.$dgr['lugarreunion'].'</td>
      <td><b>ASESOR : </b>'.$eje['nombre']." ".$eje['paterno'].'</td>
      <td></td>
    </tr>
  </table>
<table border="0" cellpadding="2" width="704">
  <tr style="background-color:#dddddd;">
    <td class="cabecera2 textocentro" width="25"> N° </td>
    <td class="cabecera2 textocentro" width="50"> Carnet </td>
    <td class="cabecera2 textocentro" width="75"> Apellido Paterno </td>
    <td class="cabecera2 textocentro" width="75"> Apellido Materno</td>
    <td class="cabecera2 textocentro" width="90"> Nombres</td>
    <td class="cabecera2 textocentro" width="80"> Monto Desembolsado </td>
    <td class="cabecera2 textocentro" width="140"> Firma Conformidad </td>
  </tr>
  ';
  $pdf->SetFont('helvetica', '', 8);
  $fechaActual="";
  $i=1;
  $totalMonto=0;
  foreach($credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0") as $f) {
    $per=$persona->muestra($f['idpersona']);
    $html=$html.'
      <tr>
        <td class="sfila textocentro">'.$i.'</td>
        <td class="sfila textocentro">'.$per['carnet'].''.$per['expedido'].'</td>
        <td class="sfila textocentro">'.$per['paterno'].'</td>
        <td class="sfila textocentro">'.$per['materno'].'</td>
        <td class="sfila textocentro">'.$per['nombre'].'</td>
        <td class="sfila textocentro">'.number_format($f['montoOT'], 2, '.', '').'</td>
        <td class="sfila textocentro"></td>
      </tr>';
      $i++;
      $totalMonto=$totalMonto+$f['montoOT'];
  }
  $html=$html.'
      <tr>
        <td class=" textocentro"></td>
        <td class=" textocentro"></td>
        <td class=" textocentro"></td>
        <td class=" textocentro"></td>
        <td class="sfila textocentro"><b> TOTAL:</b></td>
        <td class="sfila textocentro">'.number_format($totalMonto, 2, '.', '').'</td>
        <td class=" textocentro"></td>
      </tr>';


  $html=$html.'

 </table>
 Son:<b>'.strtoupper(num2letras(number_format($totalMonto, 2, '.', ''))).' BOLIVIANOS</b>';
 
  $codeContents = "#COMPROBANTE:[$valor],#GRUPO:[".$dgr['nombre']."],#CODIGO:[".$gcred['idgrupocredito']."],#ASESOR:[".$eje['nombre']." ".$eje['paterno']."]"; 
  $fileName = 'qr/'.$valor.'.png'; 
  $pngAbsoluteFilePath = $fileName; 
  $urlRelativeFilePath = $fileName; 
  if (!file_exists($pngAbsoluteFilePath)) { 
      QRcode::png($codeContents, $pngAbsoluteFilePath, QR_ECLEVEL_L, 3);
  }
  $html=$html.'
  <br>
  <table align="center">
    <tr>
      <td>
        
          <br><br><br><br><br><br><br><br>
          <center>
          _______________________________________________
          <br>ASESOR(A)<br>
          '.$eje['nombre']." ".$eje['paterno'].'
        </center>
      </td>
      <td><img width="120px" src="'.$urlRelativeFilePath.'" /></td>
    </tr>
  </table><br><br>';
// Print text using writeHTMLCell()
$pdf->writeHTMLCell(0, 0, '', '', $html, 0, 1, 0, true, '', true);
// ---------------------------------------------------------
// Close and output PDF document
// This method has several options, check the source code documentation for more information. "D"
$pdf->Output('historial.pdf', 'I');

 ?>
